{% extends "core/form.html" %}
{% load i18n %}

{% block title %}{% trans "Create Event" %}{% endblock title %}

{% block form_title %}
<h1>{% trans "Create Event" %}</h1>
{% endblock form_title %}

{% block extra_js %}
<script>
    Date.prototype.addHours = function(h) {
        this.setTime(this.getTime() + (h*60*60*1000));
        return this;
    }

    function pad(n) {
        return n.toString().padStart(2, "0");
    }

    let startDate = document.querySelector("#id_start_date");
    let endDate = document.querySelector("#id_end_date");

    endDate.addEventListener("focus", function(e) {
        let newDate = new Date(Date.parse(startDate.value)).addHours(1);
        let newDateString = newDate.getFullYear() + "-" + pad(newDate.getMonth() + 1) + "-" + pad(newDate.getDate()) + " " + pad(newDate.getHours()) + ":" + pad(newDate.getMinutes());
        endDate.value = newDateString;
    });
</script>
{% endblock extra_js %}